### Enumeration

# FwupdPlugin LidState

since: 1.0

#### Declaration

    enum FwupdPlugin.LidState

#### Description [src]

The device lid state.

Available since: 1.0

#### Members

`FU_LID_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_LID_STATE_OPEN`

  Charging.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_LID_STATE_CLOSED`

  Discharging.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0